Transfer Registry Component

PUT
/api/v1/component-registry/components/{publisher}/{name}/owner

Path Parameters

publisher*string
name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

projectId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/component-registry/components/string/string/owner" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ComponentNotFoundError",  "message": "string"}
{  "_tag": "Api/ComponentInvalidError",  "message": "string",  "problems": [    "string"  ]}
{  "_tag": "Api/ComponentServiceError",  "message": "string"}